> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Payconiq PayIn

<Warning>
  **Deprecated – Payconiq discontinued from Dec 4, 2025**

  Following its acquisition by the European Payments Initiative (EPI), the Payconiq brand and services are being phased out (<a href="https://www.payconiq.be/en/payconiq-evolves" target="_blank">read more</a> on Payconiq's website).

  The timeline is as follows:

  * Dec 4, 2025 - [Payconiq pay-ins](/api-reference/payconiq/create-payconiq-payin) attempted after **12:00 noon CET** will fail
  * Dec 31, 2025 - Final day for processing [pay-in refunds](/api-reference/refunds/create-refund-payin)
  * Jan 1, 2026 - Refunds possible using payouts ([see guide](/guides/payment-methods/payconiq#refunds-from-jan-1,-2026))

  Platforms using Payconiq are invited to integrate [Bancontact](https://www.notion.so/guides/payment-methods/bancontact), which allows users to continue paying with their Payconiq by Bancontact mobile app via the `DeepLinkURL`.
</Warning>

<Note>
  **Note – Timeout after 1 hour**

  The Payconiq payment session lasts for 1 hour, at which point the pay-in fails automatically if no action has been taken by the user.
</Note>

### Body parameters

<ParamField body="Tag" type="string">
  Max. length: 255 characters

  Custom data that you can add to this object.\
  For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
</ParamField>

<ParamField body="AuthorId" type="string" required>
  The unique identifier of the user at the source of the transaction.
</ParamField>

<ParamField body="DebitedFunds" type="object" required>
  Information about the debited funds.

  <Expandable title="properties">
    <ParamField body="Currency" type="string" required>
      **Allowed values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

      The currency of the funds.
    </ParamField>

    <ParamField body="Amount" type="integer" required>
      An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="Fees" type="object" required>
  Information about the fees.

  <Expandable title="properties">
    <ParamField body="Currency" type="string" required>
      **Allowed values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

      The currency of the fees.
    </ParamField>

    <ParamField body="Amount" type="integer" required>
      An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="CreditedWalletId" type="string" required>
  The unique identifier of the credited wallet.
</ParamField>

<ParamField body="ReturnURL" type="string" required>
  Max. length: 255 characters

  The URL to which the user is returned after the payment, whether the transaction is successful or not.
</ParamField>

<ParamField body="Country" type="string" required>
  **Allowed values:** BE, LU

  The country of residence of the user.
</ParamField>

<ParamField body="StatementDescriptor" type="string">
  Max. length: 10 characters; only alphanumeric and spaces

  Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
</ParamField>

### Responses

<Accordion title="200 - Created">
  <ResponseField name="Id" type="string">
    Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

    The unique identifier of the object.
  </ResponseField>

  <ResponseField name="Tag" type="string">
    Max. length: 255 characters

    Custom data that you can add to this object.\
    For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
  </ResponseField>

  <ResponseField name="CreationDate" type="Unix timestamp">
    The date and time at which the object was created.
  </ResponseField>

  <ResponseField name="AuthorId" type="string">
    The unique identifier of the user at the source of the transaction.
  </ResponseField>

  <ResponseField name="DebitedFunds" type="object">
    Information about the debited funds.

    <Expandable title="properties">
      <ResponseField name="Currency" type="string">
        **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

        The currency of the funds.
      </ResponseField>

      <ResponseField name="Amount" type="integer">
        An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="CreditedFunds" type="object">
    Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

    <Expandable title="properties">
      <ResponseField name="Currency" type="string">
        **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

        The currency of the funds.
      </ResponseField>

      <ResponseField name="Amount" type="integer">
        An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="Fees" type="object">
    Information about the fees.

    <Expandable title="properties">
      <ResponseField name="Currency" type="string">
        **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

        The currency of the fees.
      </ResponseField>

      <ResponseField name="Amount" type="integer">
        An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="Status" type="string">
    **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

    The status of the transaction.
  </ResponseField>

  <ResponseField name="ResultCode" type="string">
    The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
  </ResponseField>

  <ResponseField name="ResultMessage" type="string">
    The explanation of the result code.
  </ResponseField>

  <ResponseField name="ExecutionDate" type="Unix timestamp">
    The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
  </ResponseField>

  <ResponseField name="Type" type="string">
    **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

    The type of the transaction.
  </ResponseField>

  <ResponseField name="Nature" type="string">
    **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

    The nature of the transaction, providing more information about the context in which the transaction occurred:

    * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
    * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
    * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
    * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
  </ResponseField>

  <ResponseField name="CreditedWalletId" type="string">
    The unique identifier of the credited wallet.
  </ResponseField>

  <ResponseField name="CreditedUserId" type="string">
    **Default value:** The unique identifier of the owner of the credited wallet.

    The unique identifier of the user whose wallet is credited.
  </ResponseField>

  <ResponseField name="PaymentType" type="string">
    **Returned values:** `PAYCONIQ`

    The type of pay-in.
  </ResponseField>

  <ResponseField name="ExecutionType" type="string">
    **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

    The type of execution for the pay-in.
  </ResponseField>

  <ResponseField name="ReturnURL" type="string">
    Max. length: 255 characters

    The URL to which the user is returned after the payment, whether the transaction is successful or not.
  </ResponseField>

  <ResponseField name="RedirectURL" type="string">
    The URL to which to redirect the user to complete the payment on a hosted page showing the QR code and Payconiq by Bancontact branding and instructions.

    **Note:** In Sandbox, this value redirects to Mangopay’s web-based simulator.

    **Caution:** This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
  </ResponseField>

  <ResponseField name="StatementDescriptor" type="string">
    Max. length: 10 characters; only alphanumeric and spaces

    Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
  </ResponseField>

  <ResponseField name="Country" type="string">
    **Returned values:** BE, LU

    The country of residence of the user.
  </ResponseField>

  <ResponseField name="DeepLinkURL" type="string">
    The mobile URL to which to redirect the user to complete the payment in an app-to-app flow.

    **Note:** In Sandbox, this value is a placeholder: the `RedirectURL` must be used to complete the payment using Mangopay’s web-based simulator.
  </ResponseField>

  <ResponseField name="QRCodeURL" type="string">
    The URL of a page containing only the QR code which you can use in your payment experience.

    You can lightly customize the QR code’s format, size, and color by adding query parameters to the `QRCodeURL` before redirecting the user. See the <a href="/guides/payment-methods/payconiq">Payconiq guide</a> for details.

    **Note:** In Sandbox, this value is a placeholder. The `RedirectURL` must be used to complete the payment using Mangopay’s web-based simulator.
  </ResponseField>
</Accordion>

<ResponseExample>
  ```json 200 - Created   theme={null}
  {
      "Id": "wt_706087f1-d1df-48a9-9d15-e8c603457d64",
      "Tag": "Created using the Mangopay API Postman collection",
      "CreationDate": 1720095972,
      "AuthorId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 1000
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 1000
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 0
      },
      "Status": "CREATED",
      "ResultCode": null,
      "ResultMessage": null,
      "ExecutionDate": null,
      "Type": "PAYIN",
      "Nature": "REGULAR",
      "CreditedWalletId": "wlt_m_01J18J1SQGG6KXNM3F8GD674TP",
      "CreditedUserId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
      "PaymentType": "PAYCONIQ",
      "ExecutionType": "WEB",
      "ReturnURL": "http://example.com?transactionId=wt_706087f1-d1df-48a9-9d15-e8c603457d64",
      "RedirectURL": "https://r2.girogate.de/payconiq/T1146/I?tx=1207176177&rs=8OHbVocjQQa4OIcB4o31BgQBw7c45bXK&cs=76745cafd862d134ce7be068a029c71368ff5e22339379d72780845cee02a10f",
      "StatementDescriptor": "Example123",
      "Country": "BE",
      "DeepLinkURL": "https://PAYCONIQ.COM/PAY/2/F8B4348C390A925F00D0682C?returnUrl=https%3A%2F%2Fr2.giro[…]436a10f4077908aa014795ba528a622315b2bada9f1ddc33e097c2fe5d9f5b",
      "QRCodeURL": "https://portal.payconiq.com/qrcode?c=https%3A%2F%2Fpayconiq.com%2Fpay%2F2%2Ff8b4348c390a925f00d0682c"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST   theme={null}
  {
    "AuthorId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
    "CreditedWalletId": "wlt_m_01J18J1SQGG6KXNM3F8GD674TP",
    "DebitedFunds": {
        "Currency": "EUR",
        "Amount": 1000
    },
    "Fees": {
        "Currency": "EUR",
        "Amount": 0
    },
    "Country": "BE",
    "StatementDescriptor": "Example123",
    "Tag": "Created using the Mangopay API Postman collection",
    "ReturnURL": "http://example.com"
  }
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Core.Enumerations;
  using MangoPay.SDK.Entities;
  using MangoPay.SDK.Entities.POST;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
          var walletId = "wlt_m_01J30991BXBB7VF28PBS82EWD3";

          var payIn = new PayInPayconiqPostDTO {
              AuthorId = userId,
              CreditedWalletId = walletId,
              DebitedFunds = new Money
              {
                  Amount = 2000,
                  Currency = CurrencyIso.EUR
              },
              Fees = new Money
              {
                  Amount = 50,
                  Currency = CurrencyIso.EUR
              },
              Country = "BE",
              ReturnURL = "http://www.mangopay.com/docs/please-ignore/",
              Tag = "Created using the Mangopay .NET SDK"
          };

          var createPayconiqPayIn = await api.PayIns.CreatePayconiqAsync(payIn);

          string prettyPrint = JsonConvert.SerializeObject(createPayconiqPayIn, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
